<?php

namespace NoccyLabs\Base64Util;


class Base64
{
    /**
     * Check if a string is base64-encoded
     *
     * @param string $str The string to test
     * @return bool True if the string is likely base64
     */
    public static function isBase64String(string $str): bool
    {
        return (bool)preg_match('<^([A-Za-z0-9+/]{4})*([A-Za-z0-9+/]{3}=|[A-Za-z0-9+/]{2}==)?$>', $str);
    }

    public static function decode(string $str, bool $unsafe=false): ?string
    {
        if ($unsafe) return base64_decode($str);

        return self::isBase64String($str) ? base64_decode($str) : null;
    }

}
