<?php

namespace NoccyLabs\Base64Util;

class Base64Test extends \PHPUnit\Framework\TestCase
{

    /**
     * @dataProvider validData
     * @covers Base64::isBase64String
     */
    public function testBase64IsDetected(string $str)
    {
        $this->assertTrue(Base64::isBase64String($str));
    }

    public static function validData()
    {
        return [
            [ base64_encode("yo") ],
            [ base64_encode("hello") ],
            [ base64_encode("foobar") ],
        ];
    }

    /**
     * @dataProvider invalidData
     * @covers Base64::isBase64String
     */
    public function testNonBase64IsDetected(string $str)
    {
        $this->assertFalse(Base64::isBase64String($str));
    }

    public static function invalidData()
    {
        return [
            [ "yo" ],
            [ "hello" ],
            [ "foobar" ],
        ];
    }
}
